Package org.apache.tomcat.util.net.openssl

## Class OpenSSLConf

- java.lang.Object
- - org.apache.tomcat.util.net.openssl.OpenSSLConf

All Implemented Interfaces:
  `java.io.Serializable`

    public class OpenSSLConf
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
`OpenSSLConf()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addCmd​(OpenSSLConfCmd cmd)`
`java.util.List<OpenSSLConfCmd>` `getCommands()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OpenSSLConf

    public OpenSSLConf()

### Method Detail

#### addCmd

    public void addCmd​(OpenSSLConfCmd cmd)

#### getCommands

    public java.util.List<OpenSSLConfCmd> getCommands()